import React, {
  useState,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import {message} from './message'

const csvUrl =
  'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv'

const App = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl).then((dataRes) => {
      setData(dataRes);
    });
  }, []);

  return (
    <pre>Data is : {data ? message(data) : 'loading'}</pre>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
